import { jsx as o } from "react/jsx-runtime";
import { f as c } from "./index-ZQlxzdt5.js";
const s = ({
  getAppData: t,
  setAppData: e,
  disabled: a,
  slug: n
}) => {
  const r = t("trackingId");
  return /* @__PURE__ */ o(
    c,
    {
      dataTestid: n,
      name: "Tracking ID",
      value: r,
      disabled: a,
      onChange: (i) => {
        e("trackingId", i.target.value);
      }
    }
  );
};
export {
  s as default
};
